const path = require('path');
const fs = require('fs-extra');
const glob = require('glob');

const root = path.resolve(__dirname, '../../');
const srcDir = path.resolve(root, './src');
const distDir = path.resolve(root, './dist');
const buildDir = path.resolve(root, './.build');

const filterFunc = (src) => {
  if (src.endsWith('index.css')) {
    return false;
  } else {
    return true;
  }
};

// Copy files from src/
fs.copy(srcDir, distDir, { filter: filterFunc }, (err) => {
  if (err) return console.error(err);
  glob(path.resolve(distDir, '**/*.stories.js'), (err, files) => {
    if (err) return console.error(err);
    for (const file of files) {
      fs.removeSync(file);
    }
  });
});

// Copy files from .build/
fs.copySync(buildDir, distDir);
fs.remove(buildDir, (err) => {
  if (err) return console.error(err);
});
